package com.sckw.slope.detection.dao.tdengine;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.sckw.slope.detection.model.dos.tdengine.Device;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.Date;

@DS("td")
@Mapper
@Repository
public interface DeviceMapper {
    int deleteByPrimaryKey(Date ts);

    int insert(Device record);

    int insertSelective(Device record);

    Device selectByPrimaryKey(Date ts);

    int updateByPrimaryKeySelective(Device record);

    int updateByPrimaryKey(Device record);
}